<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotFeedbackMessage\SideBySideSurveyMetadata\SidebySideSurveyMetaAiAnalyticsData;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class SideBySideSurveyCTAImpressionEventData extends \Google\Protobuf\Internal\Message
{
    


    protected $isSurveyExpired = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getIsSurveyExpired()
    {
        return isset($this->isSurveyExpired) ? $this->isSurveyExpired : false;
    }

    public function hasIsSurveyExpired()
    {
        return isset($this->isSurveyExpired);
    }

    public function clearIsSurveyExpired()
    {
        unset($this->isSurveyExpired);
    }

    




    public function setIsSurveyExpired($var)
    {
        GPBUtil::checkBool($var);
        $this->isSurveyExpired = $var;

        return $this;
    }

}

